Subject: Re: bug#77944: 31.0.50; M-x man on macOS fails with error

From: Howard Melman <[email-masked]>
Date: Mon, 16 Jun 2025 15:40:14 -0400

Stéphane Marks <[email-masked]> writes:

> On Mon, Jun 16, 2025 at 5:18 AM Eli Zaretskii <[email-masked]> wrote:
>
>  Can someone please provide a comprehensive answer to
>  this: does "M-x man" always fail on all supported
>  versions of macOS?  If not, which versions are affected?
>
> Running `man` Emacs 30.1 on macOS 12.7.6 /usr/bin/sed
> works fine for me.  I verified that (executable-find
> "sed") finds /usr/bin/sed and that I do not have GNU sed
> installed.  FYI, my (getenv "MANPATH") is nil, so it's
> system defaults, which reminds me that I should add
> /usr/local/share/man, but that's secondary.

It always fails for me on macOS 15.5 (on apple silicon)
unless I have GNU sed installed.

-- 

Howard